extends State
class_name SnailEating

@onready var snail = get_parent().get_parent() as Snail # I think this is bad but I dont care it works

func enter(_msg := {}):
	Log.pr("I am a snail...")
	snail.eating = true

func exit(): 
	snail.eating = false
	
func update(_delta : float):
	pass

func physics_update(_delta : float) -> void:
	pass

